This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 508373 - Review Request: perl-DateTime-Format-SQLite - Parse and format SQLite dates and times
Review Request: perl-DateTime-Format-SQLite - Parse and format SQLite dates a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DateTime-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 15:18 EDT by Chris Weyl
Modified: 2010-09-02 17:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 20:33:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-06-26 15:18:37 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-DateTime-Format-SQLite.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-DateTime-Format-SQLite-0.10-1.fc11.src.rpm

Description:
This module understands the formats used by SQLite for its 'date',
'datetime' and 'time' functions. It can be used to parse these formats
in order to create the DateTime manpage objects, and it can take a
DateTime object and produce a timestring accepted by SQLite.*NOTE:*
SQLite does not have real date/time types but stores everything as
strings. This module deals with the date/time strings as
understood/returned by SQLite's 'date', 'time', 'datetime', 'julianday'
and 'strftime' SQL functions. You will usually want to store your dates
in one of these formats.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1437534

Additional Comment:

This is an additional optional testing dep for the latest GA DBIx::Class.

*rt-0.10
Comment 1 Parag AN(पराग) 2009-06-29 00:29:52 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1437534
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0ec5881a3260262bdb9bab67befff8076e68633a  DateTime-Format-SQLite-0.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=6, Tests=51,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.59 cusr  0.06 csys =  0.70 CPU)
+ Package perl-DateTime-Format-SQLite-0.10-1.fc12.noarch   =>
Provides: perl(DateTime::Format::SQLite) = 0.10
Requires: perl(strict) perl(vars) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Chris Weyl 2009-06-29 01:57:26 EDT
New Package CVS Request
=======================
Package Name: perl-DateTime-Format-SQLite
Short Description: Parse and format SQLite dates and times
Owners: cweyl
Branches: F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-06-29 13:06:17 EDT
CVS done.
Comment 4 Chris Weyl 2009-06-29 20:33:13 EDT
Thanks for the review! :-)
Comment 5 Iain Arnell 2010-09-02 10:30:05 EDT
Package Change Request
======================
Package Name: perl-DateTime-Format-SQLite
New Branches: el6
Owners: iarnell tremble
Comment 6 Kevin Fenzi 2010-09-02 17:25:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.